# Class Certificate.CertificateRep

java.lang.Object
java.security.cert.Certificate.CertificateRep

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `Certificate`

protected static class Certificate.CertificateRep extends Object implements Serializable
Alternate `Certificate` class for serialization.

Since:
  1.3
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `CertificateRep(String type, byte[] data)`
  Construct the alternate `Certificate` class with the `Certificate` type and `Certificate` encoding bytes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `readResolve()`
  Returns a `Certificate` with the type and data of this `CertificateRep`.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CertificateRep

    protected CertificateRep(String type, byte[] data)
    Construct the alternate `Certificate` class with the `Certificate` type and `Certificate` encoding bytes.
    Parameters:
      `type` - the standard name of the `Certificate` type.
      `data` - the `Certificate` data.

- ## Method Details

  - ### readResolve

    protected Object readResolve() throws ObjectStreamException
    Returns a `Certificate` with the type and data of this `CertificateRep`.
    Returns:
      the resolved `Certificate` object
    Throws:
      `ObjectStreamException` - if the `Certificate` could not be resolved